@import url("./reset.css");
@import url("./modal.css");

html {
  font-family: "Roboto", sans-serif;
  line-height: 1.5;
}

h1 {
  text-shadow: 3px 2px 2px rgba(0, 0, 0, 0.5);
  letter-spacing: 0.5rem;
  font-weight: 700;
  font-size: 30px;
  margin-bottom: 10px;
  user-select: none;
}

.container,
.main {
  padding: 20px;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

ul {
  padding-left: 30px;
}

.list {
  padding: 6px 24px 30px;
  border-radius: 16px;
  color: #3c763d;
  background-color: rgba(223, 240, 216, 0.1);
  box-shadow: 0px 0px 7px 5px rgba(80, 80, 80, 0.5);
  width: 800px;
  min-width: 500px;
  position: relative;
}

.post__title {
  text-align: center;
  text-transform: uppercase;
  font-size: 14px;
  margin: 16px 0 24px;
  font-weight: 700;
  text-decoration: underline;
  text-underline-offset: 5px;
  max-width: 65%;
}

.user__info {
  display: flex;
  flex-direction: column;
  font-size: 14px;
}

.post__data {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.post {
  margin-top: 1.5em;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  border: 2px solid rgba(0, 0, 0, 0.2);
  padding: 16px 14px 32px 24px;
  border-radius: 12px;
  background-color: rgba(250, 235, 215, 0.6);
  box-shadow: 4px 4px 10px 4px rgba(0, 0, 0, 0.3);
  position: relative;
}

.post__body {
  text-indent: 20px;
  font-style: italic;
  font-size: 14px;
  padding: 0 20px;
  letter-spacing: 0.5px;
}

.post__body::first-letter {
  text-transform: capitalize;
}

.email a {
  color: currentColor;
  font-style: italic;
}

.email a:hover {
  color: #112511;
}

.user__name strong {
  margin-right: 16px;
  text-transform: uppercase;
}

/* BUTTON */

.btn {
  min-height: 32px;
  min-width: 61px;
  font-weight: 700;
  align-self: flex-end;
  margin-top: 8px;
  padding: 4px 16px;
  border-radius: 10px;
  border: 2px solid rgba(0, 0, 0, 0.2);
  color: currentColor;
  background-color: rgba(250, 235, 215, 0.2);
  box-shadow: 1px 1px 2px 1px rgba(0, 0, 0, 0.5);
  transition: transform 0.1s ease-out, box-shadow 0.2s ease-out;
  cursor: pointer;
  position: absolute;
  top: 10px;
  user-select: none;
}

.add__btn {
  top: -50px;
  right: 0;
}

.edit__btn {
  top: 50px;
  right: 14px;
}

.add__btn:hover {
  transform: scale(1.05);
}

.btn:active {
  transform: scale(0.95);
  box-shadow: none;
}

.btn:hover .trash,
.edit__btn:hover {
  fill: rgba(0, 0, 0, 0.7);
  color: rgb(0, 0, 0);
}

.edit__btn[disabled],
.edit__btn[disabled]:hover,
.edit__btn[disabled]:active {
  box-shadow: none;
  color: rgba(0, 0, 0, 0.5);
  transform: none;
}

.trash {
  width: 20px;
  height: 16px;
  fill: rgba(0, 0, 0, 0.5)
}

/* LOADER */

.loader {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 1.5vh;
  width: 30vw;
  gap: 1vw;
  margin-top: 10%;
}

.post .loader {
  position: absolute;
  margin: 0;
  right: 120px;
  top: 30px;
  height: 6px;
  width: 120px;
  gap: 5px;
}

.item {
  background-color: rgba(0, 0, 0, 0.3);
  height: 100%;
  width: 100%;
}

.item_1 {
  animation: item1 2.5s step-end infinite;
  animation-delay: 0s;
}

.item_2 {
  animation: item1 2.5s step-end infinite;
  animation-delay: 0.25s;
}

.item_3 {
  animation: item1 2.5s step-end infinite;
  animation-delay: 0.5s;
}

.item_4 {
  animation: item1 2.5s step-end infinite;
  animation-delay: 0.75s;
}

.item_5 {
  animation: item1 2.5s step-end infinite;
  animation-delay: 1s;
}

@keyframes item1 {

  0% {
    background-color: rgba(39, 93, 29, 0.7);
  }

  40% {
    background-color: rgba(0, 0, 0, 0.3);
  }
}